Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.exception
Class EPPException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.verisign.epp.exception.EPPException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  EnvException, EPPAssemblerException, EPPCodecException, EPPCommandException, EPPConException, EPPEnvException, EPPEventException, EPPHandleEventException, EPPLogException, EPPParserException, EPPPollQueueException

    public class EPPException

extends java.lang.Exception

Represents the base class for all EPP package exceptions.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  Serialized Form

Constructor Summary
`EPPException(java.lang.String info)` Constructor for `EPPException` that requires a info `String` description.
`EPPException(java.lang.String info, java.lang.Throwable cause)` Constructor for `EPPException` that requires a info `String` description and a cause `Throwable`.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPException

    public EPPException(java.lang.String info)

  Constructor for `EPPException` that requires a info `String` description.

  Parameters:
    `info` - text description

### EPPException

    public EPPException(java.lang.String info,
                        java.lang.Throwable cause)

  Constructor for `EPPException` that requires a info `String` description and a cause `Throwable`.

  Parameters:
    `info` - text description

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.